/*
 * JBossWS WS-Tools Generated Source
 *
 * Generation Date: Fri Apr 27 12:51:18 BST 2007
 *
 * This generated source code represents a derivative work of the input to
 * the generator that produced it. Consult the input for the copyright and
 * terms of use that apply to this source code.
 */

package org.jboss.bpel.samples.shipping;

import java.io.Serializable;


public class ShippingRequest implements Serializable {

    protected java.lang.String customerNumber;

    protected java.lang.String poNumber;

    protected java.lang.String orderNumber;

    public ShippingRequest() {
    }

    public ShippingRequest(java.lang.String customerNumber, java.lang.String poNumber, java.lang.String orderNumber) {
        this.customerNumber = customerNumber;
        this.poNumber = poNumber;
        this.orderNumber = orderNumber;
    }

    public java.lang.String getCustomerNumber() {
        return customerNumber;
    }

    public void setCustomerNumber(java.lang.String customerNumber) {
        this.customerNumber = customerNumber;
    }

    public java.lang.String getPoNumber() {
        return poNumber;
    }

    public void setPoNumber(java.lang.String poNumber) {
        this.poNumber = poNumber;
    }

    public java.lang.String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(java.lang.String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String toString() {
        return "customerNumber=" + customerNumber + ", poNumber=" + poNumber + ", orderNumber=" + orderNumber;
    }
}
